Skip to Content
avatar image
Former Member

WebAS 6.40 on Linux

Hi all,

Hello friends,

I experience some problems when I try to install WebAS 6.40 on Redhat Linux AS 4. When I execute sapinst the following is displayed: 'guiengine: no GUI connected; waiting for a connection on host rhl4, port 21212 to continue with the installation '

a)Hostname is ok

b)Display enviroment variable is as descibed in c)installation guide.

d)Sapinst directory has all authorities 777

e)java is installed

f)oracle patches have been installed

g)kernel parametes,locales,glibc have been applied

Do you have any idea what happen ?

Thanks in advance !!!

Simos Spathis

Do you have any suggestions how to solve this? Thanks in advance.

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

3 Answers

  • Jun 21, 2005 at 09:50 AM

    Hi Simos,

    Are you really running ./sapinst and not ./startInstGui.sh?

    Best regards,

    Vladimir

    Add comment
    10|10000 characters needed characters exceeded

    • Hi Simos,

      if you really run sapinst (which includes starting the GUI) and still don't get to see the installer GUI, please check whether your DISPLAY environment variable is set correctly.

      btw: You can also start only the sapinst server on the host on which you plan to install the WAS, and start sapinst GUI on another machine (no matter whether it's a linux machine or some other OS). sapinst GUI will ask for the hostname and port of the machine sapinst server is running on, and finally enables you to install remotely.

      Best regards

      Heiko

  • Jun 29, 2005 at 06:06 PM

    Hi,

    Maybe the Java Home may not be set. Before you start the install try exporting JAVA_HOME=/usr/<your 1.4.2 path>

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Jan 04, 2006 at 12:10 PM

    I have the same problem. Did you find a solution Simos Spathis?

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member Former Member

      I found the source of my problem : Java was installed but the default version is not the Sun JRE. SAPinst require the Sun JRE 1.4.2